var http = require('http');
var express = require('express');
var app = express();
var setttings=require("./app/config/settings");
var environment = require('./app/config/environment');
// all environments
environment(app);//初始化环境
// 错误处理中间件应当在路由加载之后才能加载
var server = http.createServer(app);
server.listen(setttings.port, function(){
  console.log('Express server listening on port ' + app.get('port'));
});
